(truth
(eval `(store alice ,alice))
(eval `(store bob ,bob))
(eval `(store charlie ,charlie))
(eval `(store eve ,eve))
(eval `(store trent ,trent))
(insert alice general)
(insert bob general)
(insert charlie general)
(insert eve general)
(insert trent general)
)
(show
(findnextinset colonel t)
(findnextinset general (eqp married y))
(findnextinset general (eqp married y))
(findnextinset general (eqp married y))
(findnextinset general (ltp salary 40000))
(findnextinset general (ltp salary 40000))
(findnextinset general (ltp salary 40000))
)
